Saxon with xsdversion=1.1

This should cover W3C XML Schema, Relax NG and DTD related problems.
Posts: 1

Saxon with xsdversion=1.1

Mon Dec 15, 2008 5:42 pm

When setting up custom validation senario for Saxon Sa, how can I use the xsdversion=1.1 argument.

Jesper Tverskov
Site Admin
Posts: 2100

Re: Saxon with xsdversion=1.1

Tue Dec 16, 2008 12:56 am

Hi Jesper,

It is not possible to configure that for the built in Saxon processor. You can configure however Saxon as an external processor, pass the argument in the command line and use that in a validation scenario. You will need a Saxon SA license in that case as the Saxon SA license shipped with oXygen works only for the built in Saxon SA.
I recorded this as a feature enhancement on our issue tracking system.

George Cristian Bina
Posts: 4144

Re: Saxon with xsdversion=1.1

Fri Feb 20, 2009 3:44 pm


Starting with version 10.1 that will be released in this month you can select between XML Schema 1.0 and XML Schema 1.1 in Preferences / XML / XML Parser / Saxon SA Validation. The preference will be applied to all validations with Saxon SA. We will consider also adding it as an option in a validation scenario.


Return to “XML Schemas”

Who is online

Users browsing this forum: No registered users and 1 guest